/**
 * Actions.
 *
 * @since 1.0.0
 */
export default class Actions {
    /**
     * Constructor.
     *
     * @param actionsData Actions data.
     * @param form Form instance.
     *
     * @since 1.0.0
     */
    constructor(actionsData: any, formValues?: any[]);
    actions: any[];
    /**
     * Run all actions.
     *
     * @return {boolean} True if all actions were executed successfully.
     *
     * @since 1.0.0
     */
    execute(): boolean;
}
