/**
 * Triggers.
 *
 * @since 1.0.0
 */
export default class Events {
    /**
     * Constructor.
     *
     * @param cssClasses Array of CSS classes.
     *
     * @since 1.0.0
     */
    constructor(eventsData: any, formValues?: any[]);
    events: any[];
    /**
     * Chek if there are any events.
     *
     * @returns boolean True if there are events.
     *
     * @since 1.0.0
     */
    exists(): boolean;
    /**
     * Execute all triggers.
     *
     * @return {boolean} True if all actions were executed successfully.
     *
     * @since 1.0.0
     */
    execute(trigger: any): boolean;
}
