import CSSClasses from "../Helpers/CSSClasses.js";

/**
 * Content class.
 * 
 * @since 1.0.0
 */
export default class Content {
    /**
     * Initializing field.
     *
     * @param fieldData Field data.
     * 
     * @since 1.0.0
     * 
     */
    constructor(fieldData) {
        this.id = fieldData.id;
        this.content = fieldData.content;
        this.classes = new CSSClasses(fieldData.classes);
    }
}
