/** @typedef {typeof __propDef.props}  TextProps */
/** @typedef {typeof __propDef.events}  TextEvents */
/** @typedef {typeof __propDef.slots}  TextSlots */
export default class Text extends SvelteComponent<{
    id: any;
    label: any;
    value: any;
    placeholder: any;
    help: any;
    prefix: any;
    suffix: any;
    errors: any;
    classes: any;
    labelClasses: any;
    inputClasses: any;
    size: any;
}, {
    update: CustomEvent<any>;
} & {
    [evt: string]: CustomEvent<any>;
}, {}> {
}
export type TextProps = typeof __propDef.props;
export type TextEvents = typeof __propDef.events;
export type TextSlots = typeof __propDef.slots;
import { SvelteComponent } from "svelte";
declare const __propDef: {
    props: {
        id: any;
        label: any;
        value: any;
        placeholder: any;
        help: any;
        prefix: any;
        suffix: any;
        errors: any;
        classes: any;
        labelClasses: any;
        inputClasses: any;
        size: any;
    };
    events: {
        update: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export {};
