/**
 * Alert action
 *
 * @since 1.0.0
 */
export default class ActionCallback {
    /**
    * Constuctor.
    *
    * @param data Callback data
    *
    * @since 1.0.0
    */
    constructor(callbackData: any);
    callback: Callback;
    /**
     * Run action.
     *
     * @return boolean True if action was executed successfully.
     *
     * @since 1.0.0
     */
    execute(): boolean;
}
import Callback from "../Helpers/Callback.js";
