/**
 * Button class.
 *
 * @since 1.0.0
 */
export default class Button {
    /**
     * Constructor.
     *
     * @param buttonData Button data.
     *
     * @since 1.0.0
     */
    constructor(buttonData: any);
    buttonData: any;
    /**
     * Get button label.
     *
     * @returns Label of button.
     *
     * @since 1.0.0
     */
    getLabel(): any;
    /**
     * Get method name of callback.
     *
     * @returns
     *
     * @since 1.0.0
     */
    getMethod(): any;
    /**
     * Fires button callback.
     *
     * @since 1.0.0
     */
    click(dismiss: any): void;
}
