/**
 * Callback class.
 *
 * @since 1.0.0
 */
export default class Callback {
    /**
     * Constructor.
     *
     * @param args Callback arguments.
     *
     * @since 1.0.0
     */
    constructor(callback: any);
    method: any;
    args: any;
    /**
     * Execute callback.
     *
     * @returns any Callback return value.
     *
     * @since 1.0.0
     */
    execute(): any;
}
